## visad.data.fits
Class ExceptionStack

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.data.fits.ExceptionStack

All Implemented Interfaces:
  Serializable

public class ExceptionStack
extends VisADException

See Also:
  Serialized Form

Field Summary
`(package private) Vector` `vec`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ExceptionStack()`
`ExceptionStack(Exception e)`

Method Summary
`void` `addException(Exception e)`
`int` `depth()`
`Enumeration` `exceptions()`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream ps)`
`void` `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vec

    Vector vec

Constructor Detail

### ExceptionStack

    public ExceptionStack()

### ExceptionStack

    public ExceptionStack(Exception e)

Method Detail

### addException

    public void addException(Exception e)

### depth

    public int depth()

### exceptions

    public Enumeration exceptions()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(PrintStream ps)

### printStackTrace

    public void printStackTrace(PrintWriter pw)